Subject: should the ASBR path preference rules be applied while comparing type-5 and type-7 route paths

From: anup <[email-masked]>
Date: Fri, 17 Feb 2006 10:54:33 +0530

Hi Group,

        ASBR 1

            |

          Area 1

            |

         Area 0

            |

           R  ------------------------  ASBR 2

                     Area 3

Suppose that ASBR 1 and ASBR 2 are equi-distant from R.

Suppose that ASBR 1 and ASBR 2 advertise route to a destination N with same
cost & type (say type 1). 

As per RFC 2328, R chooses the intra-area path through Area 3 to ASBR2.
(ASBR path preference rules - RFC 2328, Sec 16.4.1)

My questions:

1. If Area 3 is NSSA, should the ASBR path preference rules be applied while
comparing type-5 and type-7 route paths? 

2. RFC 1587 says "When a type-5 LSA and a type-7 LSA are found to have the
same type and an equal distance, tie breaking rules are used". Is the ASBR
path preference check implicit in the above statement?

RFC 1587, section 3.5, step 5:

                 "Otherwise, compare the cost of this new AS external path
         to the ones present in the table. Note that type-5 and
         type-7 routes are directly comparable. Type-1 external
         paths are always shorter than Type-2 external paths.
         Type-1 external paths are compared by looking at the sum
         of the distance to the forwarding address/ASBR and the
         advertised Type-1 paths (X+Y). Type-2 external paths are
         compared by looking at the advertised Type-2 metrics,
         and then if necessary, the distance to the forwarding
         address/ASBR.
 
         When a type-5 LSA and a type-7 LSA are found to have the
         same type and an equal distance, the following priorities
         apply (listed from highest to lowest) for breaking the tie.
 
                 a. Any type 5 LSA.
                 b. A type-7 LSA with the P-bit set and the forwarding
                    address non-zero.
                 c. Any other type-7 LSA.
 
         If the new path is shorter, it replaces the present paths
         in the routing table entry. If the new path is the same
         cost, it is added to the routing table entry's list of
         paths."

Thanks,

Anup

---

From: "Pat Murphy - (650)329-4044" <[email-masked]>
Date: Fri, 17 Feb 2006 09:31:04 -0700

Anup,

>1. If Area 3 is NSSA, should the ASBR path preference rules
>be applied while comparing type-5 and type-7 route paths? 

Yes, but RFC 1587 was written before RFC 2328. RFC 1587 have been
obsoleted by RFC 3101.

>path preference check implicit in the above statement?

No. The external calculation of RFC 1587 is broken. Implementations should 
use the refined calculation defined in RFC 3101, Section 2.5, where the path 
preference check is explicitly described.

Note RFC 3101, Section 2.5 needs a minor correction which I hope to get to 
soon. It was found by someone on this list some time back.

Pat